## crazy-complete 0.3.6

=== completions/fpm/Makefile ===
all: fpm.yaml
	./generate.sh bash > generated/fpm.bash
	./generate.sh fish > generated/fpm.fish
	./generate.sh zsh  > generated/fpm.zsh

install: fpm.yaml
	./generate.sh bash -i
	./generate.sh fish -i
	./generate.sh zsh -i

fpm.yaml: generate_from_help.py
	./generate_from_help.py > fpm.yaml

=== completions/go-sendxmpp/Makefile ===
generate:
	mkdir -p generated
	mkdir -p generated/bash
	mkdir -p generated/fish
	mkdir -p generated/zsh
	crazy-complete --include-file include.bash bash go-sendxmpp.yaml -o generated/bash/go-sendxmpp
	crazy-complete --include-file include.fish fish go-sendxmpp.yaml -o generated/fish/go-sendxmpp.fish
	crazy-complete --include-file include.zsh  zsh  go-sendxmpp.yaml -o generated/zsh/_go-sendxmpp

install-system-wide:
	crazy-complete --include-file include.bash bash go-sendxmpp.yaml -i
	crazy-complete --include-file include.fish fish go-sendxmpp.yaml -i
	crazy-complete --include-file include.zsh  zsh  go-sendxmpp.yaml -i

=== completions/pylint/Makefile ===
pylint.yaml: update_yaml.py
	pylint -h > pylint.help.txt
	crazy-complete --input-type=help yaml pylint.help.txt > pylint.from_help.yaml
	./update_yaml.py pylint.from_help.yaml > pylint.yaml

generate_completions:
	mkdir -p generated
	crazy-complete bash pylint.yaml -o generated/pylint.bash
	crazy-complete --repeatable-options=True fish pylint.yaml -o generated/pylint.fish
	crazy-complete zsh  pylint.yaml -o generated/pylint.zsh

install_completions:
	crazy-complete -i bash pylint.yaml
	crazy-complete -i --repeatable-options=True fish pylint.yaml
	crazy-complete -i zsh  pylint.yaml

=== debian/changelog ===
crazy-complete (0.3.6-1) unstable; urgency=medium

  * Initial packaging (Closes: #1088766)

 -- Nicolas Peugnet <nicolas@club1.fr>  Sun, 05 Oct 2025 22:33:52 +0200

=== debian/control ===
Source: crazy-complete
Maintainer: Nicolas Peugnet <nicolas@club1.fr>
Section: devel
Priority: optional
Build-Depends:
 bash-completion <!nocheck>,
 debhelper-compat (= 13),
 dh-python,
 dh-shell-completions,
 fish <!nocheck>,
 python3-all,
 python3-argparse-manpage <!nodoc>,
 python3-setuptools,
 python3-sphinx <!nodoc>,
 python3-yaml,
 tmux,
 zsh <!nocheck>
Testsuite: autopkgtest-pkg-pybuild
Standards-Version: 4.7.2
Homepage: https://github.com/crazy-complete/crazy-complete
Vcs-Git: https://salsa.debian.org/debian/crazy-complete.git
Vcs-Browser: https://salsa.debian.org/debian/crazy-complete

Package: crazy-complete
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 python3-yaml
Suggests:
 crazy-complete-doc
Description: Generate shell completion files for all major shells
 crazy-complete is a tool that generates shell completion scripts, based
 on a description of the command line interface. It supports many input
 formats, including YAML and JSON, but can also use the --help output of
 a command, or even directly the content of a Python script if it uses
 argparse.
 .
 Its output also supports multiple shells, including Bash, Fish and Zsh.
 The generated scripts are standalone, focus on robustness and do not
 depend on modified environment.

Package: crazy-complete-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Description: Generate shell completion files for all major shells - documentation
 crazy-complete is a tool that generates shell completion scripts, based
 on a description of the command line interface. It supports many input
 formats, including YAML and JSON, but can also use the --help output of
 a command, or even directly the content of a Python script if it uses
 argparse.
 .
 Its output also supports multiple shells, including Bash, Fish and Zsh.
 The generated scripts are standalone, focus on robustness and do not
 depend on modified environment.
 .
 This package contains the HTML documentation of crazy-complete.

=== debian/rules ===
#!/usr/bin/make -f

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    TEST_FLAGS += --threads=$(NUMJOBS)
endif

ifeq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
    DH_FLAGS += --with sphinxdoc
endif

export PYBUILD_TEST_CUSTOM=1
ifndef PYBUILD_AUTOPKGTEST
export PYBUILD_BEFORE_TEST=ln -s {dir}/crazy-complete {build_dir}
else
export PYBUILD_BEFORE_TEST=ln -s /usr/bin/crazy-complete {build_dir}
endif
export PYBUILD_TEST_ARGS=test/run.sh --driver=tmux $(TEST_FLAGS) || (diff -u test/tests/tests.yaml test/tests/tests.new.yaml; exit 1)
export PYBUILD_AFTER_TEST=rm {build_dir}/crazy-complete

%:
	dh $@ --with python3 --with shell_completions --buildsystem=pybuild $(DH_FLAGS)

execute_before_dh_installman:
ifeq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
	PYTHONPATH=. argparse-manpage \
		--description="Generate auto completion files for all major shells" \
		--author="Benjamin Abendroth" \
		--pyfile=crazy-complete \
		--object=p \
		> crazy-complete.1
endif

execute_before_dh_installdocs:
ifeq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
	PYTHONPATH=. python3 -m sphinx -N -bhtml docs/ build/html
endif

=== debian/watch ===
Version: 5
Template: Github
Owner: crazy-complete
Project: crazy-complete
